<p align="center"><img src="fastlane/metadata/android/en-US/images/icon.png" width="150"></p>
<h1 align="center"><b>🧭MBCompass</b></h1>
<h4 align="center">A fully functional jetpack compose compass app.</h4>
<p align="center">
    <a href="https://www.gnu.org/licenses/gpl-3.0">
        <img src="https://img.shields.io/badge/license-GPL%20v3-2B6DBE.svg?style=flat">
    </a>
    <a href="https://github.com/MubarakNative/MBCompass/releases">
        <img alt="Latest Release" src="https://img.shields.io/github/v/release/MubarakNative/MBCompass?include_prereleases&color=4B95DE&style=flat">
    </a>
    <a href="https://apilevels.com/">
        <img alt="Minimum SDK Version" src="https://img.shields.io/badge/API-21%2B-1450A8?style=flat">
  </a>
</p>
<h4 align="center"><a href="https://mubaraknative.github.io/">Author</a> | <a href="https://github.com/MubarakNative/MBCompass/blob/main/LICENSE">License</a></h4>
<p align="center">
    <a href="https://f-droid.org/app/com.mubarak.mbcompass"><img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png" width="170"></a>
    <a href="https://apt.izzysoft.de/fdroid/index/apk/com.mubarak.mbcompass"><img height=64 src="https://gitlab.com/IzzyOnDroid/repo/-/raw/master/assets/IzzyOnDroid.png" alt="Get it on IzzyOnDroid" /></a>
</p>

## About

MBCompass is a simple, modern, and accurate compass app built with Jetpack Compose. It uses the device's magnetometer and accelerometer to provide real-time geomagnetic field updates. Designed with Android Lifecycle in mind, it delivers a simple and efficient app experience. In general, a **simple and efficient compass**

## Screenshots

<p align="center">
    <img width="200" src="fastlane/metadata/android/en-US/images/phoneScreenshots/1.png" >
    <img width="200" src="fastlane/metadata/android/en-US/images/phoneScreenshots/2.png" >
    <img width="200" src="fastlane/metadata/android/en-US/images/phoneScreenshots/5.png" >
</p>

## Features

- Magnetic north-based [azimuths](https://en.wikipedia.org/wiki/Azimuth).
- Ability to show user current location using [OpenStreetMap](https://osm.org) (BETA).
- Light / Dark Theme support.
- Display Magnetic Strength in µT.
- Keep screen on support.
- Landscape orientation support.
- Smooth compass rotation.
- Sensor fusion: Combines (Accelerometer, Magnetometer and Gyroscope) for better accuracy.
- No annoying ads or no in-app purchase.

## Improvement

> This app currently in development stage 🚧🚧🚧 there are new features like location info, redesigning the maps are currently in development See: [Requested features](https://github.com/MubarakNative/MBCompass/issues/52). If you find any bugs or any enhancement needed feel free to file an issue.

## Permissions

- Location permission only used to detect current location on map.

## License

[![GNU GPLv3 Image](https://www.gnu.org/graphics/gplv3-127x51.png)](http://www.gnu.org/licenses/gpl-3.0.en.html)

MBCompass is licensed under GPLv3

Read full license text [here](https://github.com/MubarakNative/MBCompass/blob/main/LICENSE).

### Artwork License:
Compass rose : [MBCompass rose](https://github.com/MubarakNative/MBCompass/blob/main/app/src/main/res/drawable/mbcompass_rose.xml) © 2025 by Mubarak Basha is licensed under CC BY-SA 4.0

